__gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >(3cxx)

NAME
__gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare > - Unguarded loser tree, keeping only pointers to the elements in the tree structure.

SYNOPSIS

#include <losertree.h>

Inherited by __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >, and __gnu_parallel::_LoserTreePointerUnguarded< false, _Tp, _Compare >.

  Public Member Functions

_LoserTreePointerUnguardedBase (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
int __get_min_source ()
void __insert_start (const _Tp &__key, int __source, bool)

  Protected Attributes

_Compare _M_comp
unsigned int _M_ik
unsigned int _M_k
_Loser * _M_losers
unsigned int _M_offset

Detailed Description

  template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >"Unguarded loser tree, keeping only pointers to the elements in the tree structure.

No guarding is done, therefore not a single input sequence must run empty. This is a very fast variant.

Definition at line 828 of file losertree.h.

Constructor & Destructor Documentation

  template<typename _Tp , typename _Compare > __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_LoserTreePointerUnguardedBase (unsigned int __k, const _Tp & __sentinel, _Compare __comp = std::less<_Tp>()) [inline]

Definition at line 843 of file losertree.h.

  template<typename _Tp , typename _Compare > __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::~_LoserTreePointerUnguardedBase () [inline]

Definition at line 862 of file losertree.h.

Member Function Documentation

  template<typename _Tp , typename _Compare > int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::__get_min_source () [inline]

Definition at line 866 of file losertree.h.

  template<typename _Tp , typename _Compare > void __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::__insert_start (const _Tp & __key, int __source, bool) [inline]

Definition at line 876 of file losertree.h.

Member Data Documentation

  template<typename _Tp , typename _Compare > _Compare __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_comp [protected]

Definition at line 839 of file losertree.h.

  template<typename _Tp , typename _Compare > unsigned int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_ik [protected]

Definition at line 837 of file losertree.h.

  template<typename _Tp , typename _Compare > unsigned int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_k [protected]

Definition at line 837 of file losertree.h.

  template<typename _Tp , typename _Compare > _Loser* __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_losers [protected]

Definition at line 838 of file losertree.h.

  template<typename _Tp , typename _Compare > unsigned int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_offset [protected]

Definition at line 837 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.